DOMText
DOMText::isWhitespaceInElementContent
DOMText
PHP Manual

# DOMText::__construct

(PHP 5)

DOMText::__construct — Creates a new DOMText object

### 설명

DOMText
__construct ([ string `$value` ] )

Creates a new DOMText object.

### 인수

`value`

  The value of the text node. If not supplied an empty text node is created.

### 예제

Example #1 Creating a new DOMText

`<?php
$dom = new DOMDocument('1.0', 'iso-8859-1');
$element = $dom->appendChild(new DOMElement('root'));
$text = $element->appendChild(new DOMText('root value'));
echo $dom->saveXML(); /* <?xml version="1.0" encoding="iso-8859-1"?><root>root value</root> */
?>`

### 참고

- DOMDocument::createTextNode - Create new text node

DOMText
DOMText::isWhitespaceInElementContent
DOMText
PHP Manual